<template>
  <div class="show-category-box" @mouseover="showSubCategories">
    <img :src="productsPrincipalCategory.principal_icon" alt />
    <p>{{ productsPrincipalCategory.principal_category }}</p>
  </div>
</template>

<script>
export default {
  name: "CategoriesItem",
  props: {
    productsPrincipalCategory: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {};
  },
  methods: {
    showSubCategories() {
      let searchedCategory = this.productsPrincipalCategory.principal_category;
      this.$emit("show-sub-categories", searchedCategory);
    }
  }
};
</script>

<style scoped>
img {
  height: 1vw;
  width: 1vw;
}
</style>
